Odoo12 Accounting

by ,
Odoo 10
v 12.0 Third Party 3934
Download for 12.0 series Deploy on Odoo.sh
You bought this module and need support ? Click here !
Technical name om_account_accountant
Repositoryhttps://github.com/odoomates/odooapps.git#12.0
Required Apps Invoicing (account)
Included Dependencies
Technical name om_account_accountant
Repositoryhttps://github.com/odoomates/odooapps.git#12.0
Required Apps Invoicing (account)
Included Dependencies

Odoo 12 Accounting Management

Accounting Report - Partner Ledger, General Ledger, Trial Balance etc.


Asset Management.


Budget Management.



Accounting Reports

Asset Management

Budget Management



If you need any help or want more features, just contact us:


Email: odoomates@gmail.com



Odoo 12 Accounting

This Module will bring back the accounting features such as Account Reports, Asset Management and Budget Management into Odoo 12 Community Edition

Installation

To install this module, you need to:

Download the module and add it to your Odoo addons folder. Afterward, log on to your Odoo server and go to the Apps menu. Trigger the debug mode and update the list by clicking on the "Update Apps List" link. Now install the module by clicking on the install button.

Upgrade

To upgrade this module, you need to:

Download the module and add it to your Odoo addons folder. Restart the server and log on to your Odoo server. Select the Apps menu and upgrade the module by clicking on the upgrade button.

Configuration

There is Nothing to Configure

Credits

Contributors

Author & Maintainer

This module is maintained by the Odoo Mates

Please log in to comment on this module

Please choose a rating from 1 to 5 for this module.
Odoo
by on

Can i ask if it is possible that i will customize that in enterprise using studio then i will put that accounting that i already customize and put in community?


Odoo
installing error message
by on

Error: Odoo Server Error Traceback (most recent call last): File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/tools/pycompat.py", line 87, in reraise raise value File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 73, in check_and_log return method(self, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 444, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 553, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/loading.py", line 231, in load_module_graph module.with_context(overwrite=overwrite)._update_translations() File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 877, in _update_translations self.env['ir.translation'].load_module_terms(mod_names, filter_lang) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_translation.py", line 778, in load_module_terms tools.trans_load(self._cr, trans_file, lang, verbose=False, module_name=module_name, context=context) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/tools/translate.py", line 1011, in trans_load result = trans_load_data(cr, fileobj, fileformat, lang, verbose=verbose, module_name=module_name, context=context) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/tools/translate.py", line 1155, in trans_load_data irt_cursor.finish() File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_translation.py", line 156, in finish """ % (self._model_table, self._table)) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/sql_db.py", line 148, in wrapper return f(self, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/sql_db.py", line 225, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: ON CONFLICT DO UPDATE command cannot affect row a second time HINT: Ensure that no rows proposed for insertion within the same command have duplicate constrained values.

Odoo
Re: installing error message
by on

Please download and install the udpated module


Odoo
On installing
by on

Odoo Server Error Traceback (most recent call last): File "/opt/odoo/odoo12/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo/odoo12/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/odoo/odoo12/odoo/tools/pycompat.py", line 87, in reraise raise value File "/opt/odoo/odoo12/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/opt/odoo/odoo12/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo/odoo12/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo/odoo12/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo/odoo12/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/opt/odoo/odoo12/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/opt/odoo/odoo12/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/opt/odoo/odoo12/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo/odoo12/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/opt/odoo/odoo12/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 74, in check_and_log return method(self, *args, **kwargs) File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 445, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 561, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/opt/odoo/odoo12/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/odoo/odoo12/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/opt/odoo/odoo12/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/opt/odoo/odoo12/odoo/modules/loading.py", line 231, in load_module_graph module.with_context(overwrite=overwrite)._update_translations() File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 885, in _update_translations self.env['ir.translation'].load_module_terms(mod_names, filter_lang) File "/opt/odoo/odoo12/odoo/addons/base/models/ir_translation.py", line 819, in load_module_terms tools.trans_load(self._cr, trans_file, lang, verbose=False, module_name=module_name, context=context) File "/opt/odoo/odoo12/odoo/tools/translate.py", line 1013, in trans_load result = trans_load_data(cr, fileobj, fileformat, lang, verbose=verbose, module_name=module_name, context=context) File "/opt/odoo/odoo12/odoo/tools/translate.py", line 1157, in trans_load_data irt_cursor.finish() File "/opt/odoo/odoo12/odoo/addons/base/models/ir_translation.py", line 156, in finish """ % (self._model_table, self._table)) File "/opt/odoo/odoo12/odoo/sql_db.py", line 148, in wrapper return f(self, *args, **kwargs) File "/opt/odoo/odoo12/odoo/sql_db.py", line 225, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: the order ON CONFLICT DO UPDATE can not affect the registration a second time HINT: Make sure that no record proposed for insertion within the same order has duplicate values restricted.

Odoo
Re: On installing
by on

Please download and install the udpated module


Odoo
by on

hi my fiscal period shows but it is blank, I cannot make changes?


Odoo
Thanks for keeping Odoo CE alive
by on

Good Job. Much appreciated.


Odoo
Thanks for keeping Odoo CE alive.
by on

Just one thing, when you print. An error comes back with a blank message. But everything else works fine.


Odoo
@Lampis Gatos : No Issues in Tax Report
by on

We have cross checked the report with the latest Odoo12 and we are not able reproduce the issue. Please cross check from your side and please let us know. Contact: odoomates@gmail.com


Odoo
Tax_Report_Error
by on

Error: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 88, in lookup r = d[key] File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 69, in wrapper return func(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.model.data', , 'account.action_report_account_tax') During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/account/wizard/account_report_common.py", line 48, in check_report return self.with_context(discard_logo_check=True)._print_report(data) File "/opt/odoo/odoo-custom-addons/account_excel_reports/wizards/account_report_tax.py", line 104, in _print_report return self.env.ref('account.action_report_account_tax').report_action(self, data=data) File "/usr/lib/python3/dist-packages/odoo/api.py", line 854, in ref return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_model.py", line 1396, in xmlid_to_object t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_model.py", line 1380, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "", line 2, in xmlid_lookup File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 93, in lookup value = d[key] = self.method(*args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_model.py", line 1369, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: account.action_report_account_tax


Odoo
by on

Odoo
No Fiscal Period
by on

I really appreciate if the Fiscal Period can be added in to this module in order to compare the budget vs actual by period.


Odoo
Error not from this module
by on

@Ahmed ALHaddad: The issue is not from this module, without this module you will be able to reproduce the same in the Run-bot or in a fresh database. You can report this issue in Odoo git-hub repository: https://github.com/odoo/odoo/issues Error in Run-bot: https://pasteboard.co/I54CAEM.png


Odoo
I have error
by on

When I download the Arabic language I got the following error then RTL does not work also. خطأ: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/api.py", line 1039, in get value = self._data[key][field][record._ids[0]] KeyError: 1 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 976, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 1041, in get raise CacheMiss(record, field) odoo.exceptions.CacheMiss: ('account.journal(1,).kanban_dashboard_graph', None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 904, in search_read return self.do_search_read(model, fields, offset, limit, domain, sort) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in do_search_read offset=offset or 0, limit=limit or False, order=sort or False) File "/usr/lib/python3/dist-packages/odoo/models.py", line 4559, in search_read result = records.read(fields) File "/usr/lib/python3/dist-packages/odoo/models.py", line 2782, in read vals[name] = convert(record[name], record, use_name_get) File "/usr/lib/python3/dist-packages/odoo/models.py", line 5087, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 980, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1091, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1047, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1038, in _compute_value getattr(records, self.compute)() File "", line 2, in _kanban_dashboard_graph File "/usr/lib/python3/dist-packages/odoo/api.py", line 372, in loop result = [method(rec, *args, **kwargs) for rec in self] File "/usr/lib/python3/dist-packages/odoo/api.py", line 372, in result = [method(rec, *args, **kwargs) for rec in self] File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_journal_dashboard.py", line 21, in _kanban_dashboard_graph self.kanban_dashboard_graph = json.dumps(self.get_bar_graph_datas()) File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_journal_dashboard.py", line 96, in get_bar_graph_datas day_of_week = int(format_datetime(today, 'e', locale=self._context.get('lang') or 'en_US')) File "/usr/lib/python3/dist-packages/babel/dates.py", line 716, in format_datetime locale = Locale.parse(locale) File "/usr/lib/python3/dist-packages/babel/core.py", line 330, in parse raise UnknownLocaleError(input_id) babel.core.UnknownLocaleError: unknown locale 'ar_AA' can you help with the error please? Thank you


Odoo
Working fine, good support
by on

The module works just as intended. When we had a small glitch on the server, Odoo Mates quickly responded and helped to fix it.


Odoo
Working
by on

We are not able to reproduce the issue, you can do one thing check the module in a fresh instance and if you are able to reproduce the issue, please send us a mail on how to reproduce it, so that we can check and fix it! Contact: odoomates@gmail.com


Odoo
General Ledger Error
by on

File "C:\Program Files (x86)\Odoo 12.0\server\odoo\osv\expression.py", line 459, in get_unaccent_wrapper if odoo.registry(cr.dbname).has_unaccent: File "C:\Program Files (x86)\Odoo 12.0\server\odoo\__init__.py", line 81, in registry return modules.registry.Registry(database_name) File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\registry.py", line 60, in __new__ return cls.registries[db_name] File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 45, in __getitem__ self[a[0]] = a[1] File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 51, in __setitem__ del self[obj] File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) RecursionError: maximum recursion depth exceeded


Odoo
hola me sale este error cuando trato de instalar el modulo por favor ayuda ya que ustedes lo desarrollaron haber que paso
by on

Error: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo/odoo-server/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo/odoo-server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/odoo/odoo-server/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/odoo/odoo-server/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo/odoo-server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/odoo/odoo-server/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/odoo/odoo-server/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/odoo/odoo-server/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/odoo/odoo-server/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log return method(self, *args, **kwargs) File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 444, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 553, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/odoo/odoo-server/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/odoo/odoo-server/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/odoo/odoo-server/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/odoo/odoo-server/odoo/modules/loading.py", line 231, in load_module_graph module.with_context(overwrite=overwrite)._update_translations() File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 877, in _update_translations self.env['ir.translation'].load_module_terms(mod_names, filter_lang) File "/odoo/odoo-server/odoo/addons/base/models/ir_translation.py", line 778, in load_module_terms tools.trans_load(self._cr, trans_file, lang, verbose=False, module_name=module_name, context=context) File "/odoo/odoo-server/odoo/tools/translate.py", line 1011, in trans_load result = trans_load_data(cr, fileobj, fileformat, lang, verbose=verbose, module_name=module_name, context=context) File "/odoo/odoo-server/odoo/tools/translate.py", line 1155, in trans_load_data irt_cursor.finish() File "/odoo/odoo-server/odoo/addons/base/models/ir_translation.py", line 156, in finish """ % (self._model_table, self._table)) File "/odoo/odoo-server/odoo/sql_db.py", line 148, in wrapper return f(self, *args, **kwargs) File "/odoo/odoo-server/odoo/sql_db.py", line 225, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: ON CONFLICT DO UPDATE command cannot affect row a second time HINT: Ensure that no rows proposed for insertion within the same command have duplicate constrained values.